#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define eigen_version 2.0.3
%define rel 1

Name: kalzium
Summary: Shows the periodic system of the elements
Version: 4.12.5
Release: %mkrel %{rel}
Group: Sciences/Chemistry
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/education/kalzium/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(eigen2) >= %eigen_version
BuildRequires: pkgconfig(openbabel-2.0)
BuildRequires: avogadro-devel
BuildRequires: ocaml
BuildRequires: facile
BuildRequires: chemical-mime-data

Requires: libkdeedu-common = %version
Requires: openbabel
Requires: avogadro
Requires: chemical-mime-data

Conflicts: cantor < 4.6.90
Conflicts: kdeedu4-core < 4.6.90
Suggests: kalzium-handbook

%description
Kalzium is an application which will show you some information about the
periodic system of the elements. Therefore you could use it as an
information database.

%files
%_kde_bindir/kalzium
%_kde_appsdir/kalzium
%_kde_iconsdir/hicolor/*/apps/kalzium.png
%_kde_iconsdir/hicolor/scalable/apps/kalzium.svgz
%_kde_datadir/config.kcfg/kalzium.kcfg
%_kde_datadir/config/kalzium.knsrc
%_kde_applicationsdir/kalzium.desktop
%_kde_applicationsdir/kalzium_cml.desktop
%_kde_appsdir/libkdeedu/data/elements.xml
%_kde_appsdir/libkdeedu/data/isotopes.xml
%_kde_appsdir/libkdeedu/data/spectra.xml
%_kde_appsdir/libkdeedu/data/symbols.csv
%_kde_appsdir/libkdeedu/data/symbols2.csv

#------------------------------------------------------------------------------

%package handbook
Summary: Kalzium handbook
Conflicts: kalzium < 4.7.1
Requires:  kalzium >= %{version}-%{release}
BuildArch: noarch
Group: Documentation
%description handbook
This package provides kalzium handbook and mandir.

%files handbook
%doc COPYING COPYING.LIB COPYING.DOC
%doc %_kde_docdir/HTML/en/kalzium
%_kde_mandir/man1/kalzium.1.*

#------------------------------------------------------------------------------

%package -n plasma-engine-kalzium
Summary: Plasma engine for kalzium
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Provides: plasma-applet

%description -n plasma-engine-kalzium
Plasma engine for kalzium

%files -n plasma-engine-kalzium
%_kde_libdir/kde4/plasma_engine_kalzium.so
%_kde_services/plasma-dataengine-kalzium.desktop

#------------------------------------------------------------------------------

%package -n plasma-applet-didyouknow
Summary: plasma didyouknow Applet
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Provides: plasma-applet

%description -n plasma-applet-didyouknow
Plasma applet where you can answer questions

%files -n plasma-applet-didyouknow
%_kde_libdir/kde4/plasma_applet_didyouknow.so
%_kde_services/plasma_didyouknow.desktop
%_kde_appsdir/desktoptheme/default/widgets/chalkboard.svg

#------------------------------------------------------------------------------

%package -n plasma-applet-kalzium-calculator
Summary: Plasmoid applet for kalzium calculator
Group:  Graphical desktop/KDE
Conflicts: kalzium < 4.7.95
Requires: plasma-engine-kalzium
Provides: plasma-applet

%description -n plasma-applet-kalzium-calculator
This package provides several applets:
 -concentration calculator
 - gaz calculator
 - nuclear calculator
 - Mol mass calculator

%files -n plasma-applet-kalzium-calculator
%_kde_libdir/kde4/concentrationCalculator.so
%_kde_libdir/kde4/gasCalculator.so
%_kde_libdir/kde4/nuclearCalculator.so
%_kde_libdir/kde4/plasma_applet_molmassCalculator.so
%_kde_services/concentrationCalculator.desktop
%_kde_services/gasCalculator.desktop
%_kde_services/nuclearCalculator.desktop
%_kde_services/plasma-applet-Molmasscalculator.desktop

#------------------------------------------------------------------------------

%define compoundviewer_major 4
%define libcompoundviewer %mklibname compoundviewer %compoundviewer_major

%package -n %libcompoundviewer
Summary: Kalzium runtime library
Group: System/Libraries

%description -n %libcompoundviewer
Kalzium runtime library.

%files -n %libcompoundviewer
%_kde_libdir/libcompoundviewer.so.%{compoundviewer_major}*

#------------------------------------------------------------------------------

%define science_major 4
%define libscience %mklibname science %science_major

%package -n %libscience
Summary: Runtime library for KDE Education Application
Group: System/Libraries

%description -n %libscience
libscience is a library that provides classes for chemical data.This library is
mainly used by kalzium.

%files -n %libscience
%_kde_libdir/libscience.so.%{science_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: pkgconfig(eigen2) >= %eigen_version
Requires: pkgconfig(openbabel-2.0)
Requires: %libscience = %version-%release
Requires: %libcompoundviewer = %version-%release

Conflicts: kdeedu4-devel < 4.6.90

%description  devel
Files needed to build applications based on %{name}.

%files devel
%_kde_libdir/libcompoundviewer.so
%_kde_includedir/libkdeedu/
%_kde_libdir/libscience.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 4.12.5-1.mga4
+ Revision: 641256
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 554946
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551200
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540042
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490714
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476808
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465161
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458860
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455250
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447917
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435274
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428385
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407201
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401844
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394374
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 355779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339437
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334528
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326733
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320290
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Add missing buildrequires
- Fix files list

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316174
- Update tarball to KDE SC 4.9.3

* Mon Oct 15 2012 mikala <mikala> 4.9.2-2.mga3
+ Revision: 306730
- Enable equation solver

* Sun Oct 14 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 305572
- Disable facile support for now ( Equation Solver won't work in kalzium)
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289740
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277111
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269655
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 265925
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257230
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 4.8.2-2.mga2
+ Revision: 232819
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228427
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221465
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198231
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191033
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186049
- Update tarball to KDE SC 4.7.95
- split plasma-applet from kalzium package

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182192
- Update tarball to KDE SC 4.7.90

* Sun Dec 11 2011 mikala <mikala> 4.7.4-2.mga2
+ Revision: 180505
- Remove wrong requires ( spotted by Malo)

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176351
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161088
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151968
- Update tarball to KDE SC 4.7.2

  + fwang <fwang>
    - rebuild for new openbabel

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140623
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%defattr
- Remove %%clean section
- Remove kdelibs4-devel and avogadro-devel as require for -devel package (already handled by autoreqprov)
- Fix version requires on -devel package for eigen2 (epoch is not needed)
- Update tarball to KDE SC 4.7.0
- Fix license
- use pkgconfig() for buildrequires
- remove %%defattr

  + lmenut <lmenut>
    - Fix typo in conflicts on kdeedu4-core

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122368
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-2.mga2
+ Revision: 115882
- Fix Requires on libkdeedu

* Tue Jun 28 2011 fwang <fwang> 4.6.90-1.mga2
+ Revision: 115404
- add conflicts on older package

  + mikala <mikala>
    - imported package kalzium

